<?php

declare(strict_types=1);

require dirname(__DIR__) . '/bootstrap/app.php';

$table = new System\Database\Blueprint('test');

echo "<pre>";

echo "foreignId : ";
echo method_exists($table, 'foreignId') ? "YES" : "NO";
echo "<br>";

echo "constrained : ";
echo method_exists($table, 'constrained') ? "YES" : "NO";
echo "<br>";

echo "nullable : ";
echo method_exists($table, 'nullable') ? "YES" : "NO";
echo "<br>";

echo "unique : ";
echo method_exists($table, 'unique') ? "YES" : "NO";
echo "<br>";

echo "default : ";
echo method_exists($table, 'default') ? "YES" : "NO";